Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 5.1.8SynchronousAuth Required

ValidateSNSUniversalSmsEndpoint

ValidateSNSUniversalSmsEndpoint

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • validatesnsuniversalsmsendpointObjectRequired

    validatesnsuniversalsmsendpoint request body object.

    • testMsgStringRequired

      No description provided.

    • phoneNumbersListRequired

      No description provided.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/sns/application-endpoints/universal-sms/{uuid}/validate

/zstack/v1/sns/application-endpoints/universal-sms/{uuid}/validate

Operation ID

ValidateSNSUniversalSmsEndpoint

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/universal-sms/{uuid}/validate' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"validatesnsuniversalsmsendpoint":{"testMsg":"<testMsg>","phoneNumbers":["<phoneNumbers>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history